# Asterisk Project : Asterisk 13 Application_SayCountedAdj

Created by wikibot on Aug 08, 2014

# SayCountedAdj()

### Synopsis

Say a adjective in declined form in order to count things

### Description

Selects and plays the proper form of an adjective according to the gender and of the noun which it modifies and the number of objects named by the noun-verb combination which have been counted. Used when saying things such as "5 new messages". The various singular and plural forms of the adjective are selected by adding suffixes to filename.

If the channel language is English, then no suffix will ever be added (since, in English, adjectives are not declined). If the channel language is Russian or some other slavic language, then the suffix will the specified gender for nominative, and "x" for genative plural. (The genative singular is not used when counting things.) For example, SayCountedAdj(1,new,f) will play sound file "newa" (containing the word "novaya"), but SayCountedAdj(5,new,f) will play sound file "newx" (containing the word "novikh").

This application does not automatically answer and should be preceeded by an application such as Answer(), Progress(), or Proceeding().

### Syntax

    SayCountedAdj(number,filename,[gender])

##### Arguments

- `number` - The number of things
- `filename` - File name stem for the adjective
- `gender` - The gender of the noun modified, one of 'm', 'f', 'n', or 'c'

### See Also

- Asterisk 13 Application_SayCountedNoun
- Asterisk 13 Application_SayNumber

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538